version: "3.4"

services:
  link:
    container_name: link
    restart: ${RESTART}
    build:
      context: .
      dockerfile: ./apps/link/Dockerfile
    image: registry.gitlab.com/digiresilience/link/link-stack/link:${LINK_STACK_VERSION}
    expose:
      - "3000"
    ports:
      - "8004:3000"
    environment:
      ZAMMAD_API_TOKEN: ${ZAMMAD_API_TOKEN}
      ZAMMAD_VIRUAL_HOST: ${ZAMMAD_VIRTUAL_HOST}
      LINK_URL: http://localhost:3000
      LEAFCUTTER_URL: https://lc.digiresilience.org
      METAMIGO_URL: http://metamigo-frontend:3000
      ZAMMAD_URL: http://zammad-nginx:8080
      NEXTAUTH_URL: ${LINK_URL}
      NEXTAUTH_SECRET: ${NEXTAUTH_SECRET}
      NEXTAUTH_AUDIENCE: ${NEXTAUTH_AUDIENCE}
      NEXTAUTH_SIGNING_KEY_B64: ${NEXTAUTH_SIGNING_KEY_B64}
      NEXTAUTH_ENCRYPTION_KEY_B64: ${NEXTAUTH_ENCRYPTION_KEY_B64}
      GOOGLE_CLIENT_ID: ${GOOGLE_CLIENT_ID}
      GOOGLE_CLIENT_SECRET: ${GOOGLE_CLIENT_SECRET}
